Subject: Re: [mmox] MMOX: Strawman scope/goals/approach
From: Gareth Nelson <[email-masked]>
To: "Meadhbh Hamrick (Infinity)" <[email-masked]>
Cc: [email-masked], [email-masked], Jon Watte <[email-masked]>
Date: Fri, 27 Feb 2009 01:36:28 +0000
List-Id: Massively Multi-participant Online Games and Applications <mmox.ietf.org>

A reference implementation is always a handy thing to have :)

On Fri, Feb 27, 2009 at 1:32 AM, Meadhbh Hamrick (Infinity)
<[email-masked]> wrote:
> i don't think we get to mandate what code people implement the protocol in,
> but i would certainly add lisp, smalltalk and occam to the list.
>
> seriously thought... remember... we're talking about a wire-protocol, not a
> library that implements the protocol.
>
> On Feb 26, 2009, at 2:31 PM, Jon Watte wrote:
>
>> Gareth Nelson wrote:
>>>
>>> any code should be produced in. My vote is for python and C.
>>>
>>
>> Let me vote for Lua and C++, and then the OpenSim people can vote for C#
>> and Java and we have all the bases covered :-)
>>
>>
>>> games are relevant (after all, MMORPGs for example are just huge
>>> virtual worlds with game rules thrown in), I fail to see how networked
>>>
>>
>> I think that's a common mis-conception. Most (almost all) MMOGs do not
>> have much in the way of persistency, other than character possessions and
>> stats. They also have a very static world, that generally does not allow
>> users to move things around or place new things into the world. Finally,
>> they do not support any form of UGC, which I think is more or less a
>> requirement for a "real" virtual world. Lacking all three means that the
>> technical job of implementing and running the MMORPG is much easier, but it
>> also puts them on a lower rung of the expressiveness. A VW could express a
>> MMORPG (with significant overhead compared to the MMORPG itself), but a
>> MMORPG couldn't express a VW.
>>
>>> Practically everything people do online is "multiuser", and lots of
>>> things are "massively multiuser" - look at any big site such as
>>> wikipedia for example.
>>>
>>>
>>
>> "What is virtual worlds" has been a general question for a long time, but
>> I believe the "rough consensus" answer is that it's at least:
>>
>> Interactive
>> Persistent
>> Identity Based
>> Collaborative
>> Supports UGC
>> (controversial) Based on a 3D Simulation
>>
>> But, if we believe that we all need to agree on exactly what a virtual
>> world is before we can make progress, experience shows we won't be able to
>> make progress at all.
>>
>> Sincerely,
>>
>> jw
>>
>> _______________________________________________
>> mmox mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mmox
>
>